﻿@helper InformacoesPessoa(ASP_NET_Razor_com_Helpers.Models.Pessoa p)
{
    <label>Nome:</label><label>@p.Nome</label><br />
    <label>Data de nascimento:</label><label>@p.DataDeNascimento</label><br />
    <label>Peso:</label><label>@p.Peso</label><br />
    <label>É casada:</label><label>@p.IsCasada</label><br /><br />  
    <label>É maior de idade:</label><label>@MeuHelper.IsMaiorDeIdade(p.DataDeNascimento.Year)</label><br /><br />  
}

@functions {

    public static string IsMaiorDeIdade(int anoDeNascimento)
    {
        if ((DateTime.Now.Year - anoDeNascimento) > 18)
        {
            return "Sim";
        }
        else
        {
            return "Não";
        }        
    }

}